Межсайтовый скриптинг в ViewVC

Дата публикации:
24.10.2006
Всего просмотров:
883
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ViewVC 1.x
Уязвимые версии: ViewVC 1.0.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за того, что приложение не отправляет кодировку с помощью HTTP заголовка, и не указывает в HTML теле страницы. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в кодировке UTF-7 в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.viewvc.org

Решение: Установите последнюю версию (1.0.3) с сайта производителя.

Ссылки: ViewVC Undefined Charset UTF-7 XSS Vulnerability

или введите имя

CAPTCHA